iBizAssetManagerment（资产管理）是iBiz商业套件的一个重要组成部分，是iBiz商业套件针对企业资产和维护作业管理的解决方案。 iBiz参考了微软Dynamics 365 资产管理模块和SAP EAM的业务模型和功能，在iBiz生产体系和微服务体系下研发了基于iBizBusinessCentral（企业中心）和Runtime（运行管理模块）的资产管理应用模块。

iBizAssetManagerment（资产管理）包括有功能位置管理、资产管理、工单管理、维护计划、运行管理、故障管理等模块 ，以企业资产台帐为基础，以工作单执行为主线，体现以预防预测性维修为主、强调安全处处存在的管理思想。实现降低设备故障停机时间、提高设备的可靠性、延长设备的使用寿命、降低维护成本的最终目标。

iBizAssetManagerment（资产管理）有以下几大特征：

通过资产台帐的定义有效管理企业的所有设备 ；

完整地资产生命周期管理；

监控资产运行数据；

建立完整的故障管理体系；

通过预防性维护方案提高资产可靠性；

维修记录的完整保存；

科学的资产更换策略；

以安全生产为中心，强调安全处处存在。

# 业务蓝图

![输入图片说明](https://images.gitee.com/uploads/images/2020/0812/100501_5fa11710_7582525.png "资产管理业务蓝图.png")

# 技术框架
**后台技术模板[iBiz4j Spring R7](http://demo.ibizlab.cn/ibizr7sfstdtempl/ibiz4jr7)**
* 核心框架：Spring Boot
* 持久层框架: Mybatis-plus
* 服务发现：Nacos
* 日志管理：Logback
* 项目管理框架: Maven

**前端技术模板[iBiz-Vue-Studio](https://gitee.com/ibizr7pfstdtempl/iBiz-Vue-Studio)**
* 前端MVVM框架：vue.js 2.6.10
* 路由：vue-router 3.1.3
* 状态管理：vue-router 3.1.3
* 国际化：vue-i18n 8.15.3
* 数据交互：axios 0.19.1
* UI框架：element-ui 2.13.0, view-design 4.1.0
* 工具库：qs, path-to-regexp, rxjs
* 图标库：font-awesome 4.7.0
* 引入组件： tinymce 4.8.5
* 代码风格检测：eslint


# 开发环境
* JDK
* Maven
* Node.js
* Yarn
* Vue Cli

# 开源说明
* 本系统100%开源，遵守MIT协议

# 本期上线模块/功能
* 功能位置

功能位置用于管理位置中的资产。功能位置采用多层次结构，位置可以具有子位置。 功能位置的结构为静态结构。 
管理资产所属的位置。是为了纵向的组织资产之间的关系。将生产线、厂房或者功能区域位置划分出来。
功能位置层次结构的创建方法取决于公司对维护内部设备或服务客户设备的要求。

![输入图片说明](https://images.gitee.com/uploads/images/2020/0812/100820_e1ce9ce3_7582525.png "功能位置.png")

* 资产管理

资产管理主要用于对资产基本信息、扩展信息的维护。包括资产基本资料管理、 文档管理、备件包等管理。
资产管理中资产是需要维护，服务或维修的任何类型的设备。
资产台账是整个资产管理中的核心主数据，在资产台账中除了管理资产本身信息以后，还可以维护和查询资产相关的部件（下级资产）、备件包、工单、维护申请、维护计划等。

![输入图片说明](https://images.gitee.com/uploads/images/2020/0812/100937_5b3807ff_7582525.png "资产.png")

* 维护申请

支持设置多种在企业日常运维中使用的维护申请。 维护申请是工单来源的一种。 维护申请用于申请为特定作业提供的工作单。 创建维护请求后，指定角色用户可将申请转化为工单，或者选择关闭维护申请。

![输入图片说明](https://images.gitee.com/uploads/images/2020/0812/101200_2a54da4c_7582525.png "维护申请.png")

* 工单

工单用于管理资产维护作业，可提供维护作业所需信息和登记维护作业的消耗。 每个工单中可以包含一个或多个工单作业。
资产管理中的工单根据业务和来源不同可定义不同的工单类型。
目前系统中的工单主要有三种创建方式：
1.手工创建；
2.维护申请手工生成；
3.维护计划自动生成。

![输入图片说明](https://images.gitee.com/uploads/images/2020/0812/101322_9c6d9e92_7582525.png "工单.png")

* 维护计划

维护计划定义何时对资产执行提前计划的预防性维护作业。 维护计划中可以与资产、功能位置关联。
一个维护计划可以通过一个或多个维护计划步骤来执行。 
维护计划触发主要有两种方式：
1.设置时刻，主要用于年检、月检、周检等；
2.设置条件，根据资产的测点值来进行触发。

![输入图片说明](https://images.gitee.com/uploads/images/2020/0812/102031_d7c3f935_7582525.png "维护计划.png")

# 后续更新内容

1.运行管理、故障管理模块

2.资产状态变更、维护申请生成工单等逻辑功能

3.资产、工单等统计图表

4.工单流程（工作流）

5.维护计划定时生成工单（定时任务）

